## galapi
Class xsString

    java.lang.Object
      galapi.Item
          galapi.Atomic
              galapi.xsString

public class xsString
extends Atomic

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`xsString(java.lang.String s)`

Method Summary
`protected static int` `stringToItem(java.lang.String s)`

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### xsString

    public xsString(java.lang.String s)
             throws GalapiException

Method Detail

### stringToItem

    protected static int stringToItem(java.lang.String s)